
/***
   number of deaths, y, among n beetles that have been exposed 
   to an environmental contaminant x:


   Example 52.3 Generalized Linear Models

***/

title 'Logistic Regression Model with a Diffuse Prior';
   data beetles;
      input n y x @@;
      datalines;
   6  0  25.7   8  2  35.9   5  2  32.9   7  7  50.4   6  0  28.3
   7  2  32.3   5  1  33.2   8  3  40.9   6  0  36.5   6  1  36.5
   6  6  49.6   6  3  39.8   6  4  43.6   6  1  34.1   7  1  37.4
   8  2  35.2   6  6  51.3   5  3  42.5   7  0  31.3   3  2  40.6
   ;
run;

ods graphics on;
   proc mcmc data=beetles ntu=1000 nmc=20000 
             nthin=2 propcov=quanew
             diag=(mcse ess) 
             outpost=beetleout seed=246810;

      ods select PostSummaries PostIntervals 
                 mcse ess TADpanel;

      parms (alpha  beta) 0;

      prior alpha beta ~ normal(0, var = 10000);

      p = logistic(alpha + beta*x);
      model y ~ binomial(n,p);

   run;

ods graphics off;
title;






proc logistic data = beetles;
 model y/n = x;
run;
quit;

