
*** Werte eines patienten extrahieren;
data ddl_pat56;
 set ddl_Insert0;
 where pnr = 56;
run;


*** Plot der Daten;
proc sgplot data=ddl_pat56;
 title;
 series x=date y=amount ;
run;


*** Beispiel: Aufruf von 
    R-Funktionlitt;

proc iml;

use ddl_pat56;
read all var {date amount};
close ddl_pat56;

*** Export nach R;
run ExportMatrixToR (amount,"amount_R");

*** Aufruf von R-Funktionalitt;
submit / R;
	Smoothed_Amount <- smooth( amount_R )
	Smoothed_Amount <- as.matrix(Smoothed_Amount)		     # Rs is an object, not matrix (see summary(Rs) )
endsubmit;

*** Import von R;
run ImportMatrixFromR( RSmoothed_Amount, "Smoothed_Amount" );

*** Bereitstellen als SAS-Datset;
ddl56_xt =  date||amount||RSmoothed_Amount;
create ddl56_xt(rename=(col1=date col2=amount col3=RSmoothed_Amount))		
from ddl56_xt;
append from ddl56_xt;		

*** Einfacher: 
  --> DATASET exportieren;
*run ExportDatasetToR( ddl_pat56, "ddl" );
*run ImportDatasetFromR( R_Smoothed, "Rs" );
quit;



proc sgplot data=ddl56_xt;
 title Plot of Amount and RSmoothed-Amount values;
 series x=date y=amount ;
 series x=date y=RSmoothed_Amount;
run;